#pragma once

using namespace System;
using namespace System::Runtime::InteropServices;

#include "LKFAufenthaltChild.h"

namespace lkfxdok {
	namespace c {

		public ref class LKFAufenthaltMEL : public LKFAufenthaltChild
		{
		internal:
			LKFAufenthaltMEL(LKFAufenthalt ^aufenthalt, unsigned int melIndex);
		public:
			property String ^Line {
				String ^get(void);
			}

			property String ^MELLDFGruppe {
				String ^get(void);
			}

			property String ^MELLDFKnoten {
				String ^get(void);
			}

			property String ^MELLDFRelevant {
				String ^get(void);
			}

			property String ^MELLDFPunkte {
				String ^get(void);
			}

			property String ^MELZU {
				String ^get(void);
			}

			property String ^MELLDFPLK {
				String ^get(void);
			}

			property String ^MELPOS {
				String ^get(void);
			}

			String ^GetField(unsigned int fieldNumber);
		};
	}
}

